=== debian/changelog ===
mongodb (1:3.6.3-0ubuntu1.4) bionic-security; urgency=medium

  * d/p/CVE-2019-20925-SERVER-43751-Recompute-compressor-manager-message-pa.patch
    Recompute compressor manager message parameters. (LP: #1933520)

 -- Heather Lemon <heather.lemon@canonical.com>  Tue, 03 Aug 2021 20:57:49 +0000

mongodb (1:3.6.3-0ubuntu1.3) bionic-security; urgency=medium

  [Heather Lemon]
  * SECURITY UPDATE: account session reuse leads to unauthorized access (LP: #1934518)
    - d/p/CVE-2019-2386-SERVER-38984-Validate-unique-User-ID-on-UserCache-hi.patch:
      Attach ID to users.
      After user deletion in MongoDB Server the improper invalidation of
      authorization sessions allows an authenticated user's session to
      persist and become conflated with new accounts
    - CVE-2019-2386

  [Alex Murray]
  * Refresh
    d/p/CVE-2019-2386-SERVER-38984-Validate-unique-User-ID-on-UserCache-hi.patch
    with the version from the 3.4 upstream branch that is still licensed
    under the AGPL.

 -- Alex Murray <alex.murray@canonical.com>  Fri, 06 Aug 2021 12:08:41 +0930

mongodb (1:3.6.3-0ubuntu1.1) bionic; urgency=medium

  * d/p/SERVER-36951-applyOps-createIndexes-without-uuid.patch: fix restoring
    of a database backup when applyOps has a createIndexes command without a
    UUID. (LP: #1821391)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 22 Mar 2019 16:11:02 -0300

mongodb (1:3.6.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (LP: #1761807).
  * d/watch: update.
  * d/upstream/signing-key.asc: update.
  * Drop d/p/CVE-2016-6494.patch: no longer needed as fixed upstream by
    use of open(2) with S_IRUSR | S_IWUSR.
  * Drop d/p/asio-openssl-1.1-support.patch: this backport is no longer
    required as upstream successfully builds directly against OpenSSL
    1.1 now.
  * d/p/fix-ftbfs-with-gcc-7.patch: refresh to remove fuzz.
  * d/copyright: update.
  * d/control: build dependency changes:
    - Add new dependencies required for a successful build
      (libmongoc-dev, python-cheetah, python-pkg-resources,
      python-requests, python-typing).
    - Drop python (not required directly).
  * d/p/SERVER-34117-skip-dns-tests.patch: disable some tests that require
    network access.
  * d/p/strip-test-binaries.patch: strip test binaries to reduce build size to
    within Launchpad's limit.

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 11 Apr 2018 13:45:22 +0100

mongodb (1:3.4.14-3ubuntu2) bionic; urgency=medium

  * Update breaks+replaces to the correct version (LP: #1762915)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Apr 2018 16:59:06 +0200
