=== debian/tests/control ===
Tests: mongod basic
Depends: mongodb-server, mongodb-clients
