## mongodb 3.6.9

=== debian/changelog ===
mongodb (1:3.6.9-0ubuntu1) disco; urgency=medium

  * New upstream release
  * Cherrypick patch to disable new gcc 8.2 warnings
  * Add python-regex build dependency
  * Refresh skip-dns lookups patch

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 22 Nov 2018 22:04:58 +0000

mongodb (1:3.6.3-0ubuntu3) disco; urgency=high

  * No change rebuild against yaml-cpp abi break.

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 21 Nov 2018 18:05:56 +0100

mongodb (1:3.6.3-0ubuntu2) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 13:01:21 +0000
