## mongodb 3.6.9%2Breally3.6.8%2B90~g8e540c0b6d

=== debian/changelog ===
mongodb (1:3.6.9+really3.6.8+90~g8e540c0b6d-0ubuntu5.3) focal-security; urgency=medium

  * SECURITY UPDATE: message decompressor to incorrectly allocate memory (LP: #1933520)
    - d/p/CVE-2019-20925-SERVER-43751-Recompute-compressor-manager-message-pa.patch:
      An unauthenticated client can trigger denial of service by 
      issuing specially crafted wire protocol messages, 
      which cause the message decompressor to incorrectly allocate memory
    - CVE-2019-20925 

 -- Heather Lemon <heather.lemon@canonical.com>  Thu, 26 Aug 2021 14:36:35 +0000

mongodb (1:3.6.9+really3.6.8+90~g8e540c0b6d-0ubuntu5.2) focal-security; urgency=medium

  [Heather Lemon]
  * SECURITY UPDATE: account session reuse leads to unauthorized access (LP: #1934518)
    - d/p/CVE-2019-2386-SERVER-38984-Validate-unique-User-ID-on-UserCache-hi.patch:
      Attach ID to users.
      After user deletion in MongoDB Server the improper invalidation of
      authorization sessions allows an authenticated user's session to
      persist and become conflated with new accounts
    - CVE-2019-2386

  [Alex Murray]
  * Refresh
    d/p/CVE-2019-2386-SERVER-38984-Validate-unique-User-ID-on-UserCache-hi.patch
    with the version from the 3.4 upstream branch that is still licensed
    under the AGPL.

 -- Alex Murray <alex.murray@canonical.com>  Mon, 23 Aug 2021 17:01:06 +0930

mongodb (1:3.6.9+really3.6.8+90~g8e540c0b6d-0ubuntu5) focal; urgency=medium

  * Drop optional python-regex build-dep, which is now gone from the
    archive.
  * Use python2 for scons.
  * Disable -Werror.
  * Drop python-pymongo resmoke test build-dep, no longer available.
  * Add missing cxxabi.h include.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 14 Apr 2020 08:29:46 +0100

mongodb (1:3.6.9+really3.6.8+90~g8e540c0b6d-0ubuntu4) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 08:58:38 +0100

mongodb (1:3.6.9+really3.6.8+90~g8e540c0b6d-0ubuntu3) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:06:47 +0000

mongodb (1:3.6.9+really3.6.8+90~g8e540c0b6d-0ubuntu2) disco; urgency=medium

  * No change rebuild against libyaml-cpp0.6

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 11 Dec 2018 16:09:19 +1100

mongodb (1:3.6.9+really3.6.8+90~g8e540c0b6d-0ubuntu1) disco; urgency=medium

  * New, slightly older, upstream release, whilst the reviews are pending.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 26 Nov 2018 21:16:25 +0000

mongodb (1:3.6.8-0ubuntu3+ppa1) disco; urgency=medium

  * New upstream release
  * Cherrypick patch to disable new gcc 8.2 warnings
  * Add python-regex build dependency
  * Add missing tls13 counter
  * Refresh skip-dns lookups patch

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 24 Sep 2018 10:51:31 +0100
