## mongodb 3.6.9+really3.6.8+90~g8e540c0b6d

=== SConstruct ===
--- 
+++ 
@@ -298,6 +298,11 @@
     nargs=0,
 )
 
+add_option('use-system-google-benchmark',
+    help='use system version of Google benchmark library',
+    nargs=0,
+)
+
 add_option('use-system-zlib',
     help='use system version of zlib library',
     nargs=0,
@@ -496,4 +501,3 @@
         return val
     parse_mode = get_option('variable-parse-mode')
     if parse_mode == 'auto':
-        parse_mode = 'other' if mongo_platform.is_running_os('windows') else 'posix'
