=== debian/control ===
Source: mongodb
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian MongoDB Maintainers <pkg-mongodb-maintainers@lists.alioth.debian.org>
Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>,
           Jérémy Lal <kapouer@melix.org>,
           Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends:
 debhelper (>= 11~),
 libboost-date-time-dev,
 libboost-dev (>> 1.50),
 libboost-filesystem-dev,
 libboost-iostreams-dev,
 libboost-program-options-dev,
 libboost-regex-dev,
 libboost-thread-dev,
 libgoogle-perftools-dev [linux-amd64 linux-arm64 linux-ppc64el],
 libmongoc-dev,
 libpcap-dev,
 libpcre3-dev,
 libreadline-dev,
 libsnappy-dev,
 libssl-dev,
 libstemmer-dev,
 libyaml-cpp-dev,
 python2,
 python-cheetah,
 python-pkg-resources,
 python-requests,
 python-subprocess32,
 python-typing,
 python-yaml,
 scons,
 tzdata,
 valgrind,
 zlib1g-dev
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/mongodb-team/mongodb.git
Vcs-Browser: https://salsa.debian.org/mongodb-team/mongodb
Homepage: https://www.mongodb.org

Package: mongodb
Architecture: amd64 arm64 ppc64el s390x
Depends: mongodb-server (>= 1:2.4.1-2), ${misc:Depends}, ${shlibs:Depends}
Description: object/document-oriented database (metapackage)
 MongoDB is a high-performance, open source, schema-free
 document-oriented data store that's easy to deploy, manage
 and use. It's network accessible, written in C++ and offers
 the following features:
 .
    * Collection oriented storage - easy storage of object-style data
    * Full index support, including on inner objects
    * Query profiling
    * Replication and fail-over support
    * Efficient storage of binary data including large objects (e.g. videos)
    * Auto-sharding for cloud-level scalability
 .
 High performance, scalability, and reasonable depth of
 functionality are the goals for the project.
 .
 This is a convenience metapackage that depends on all the mongodb parts:
 the server, the clients and the development files (headers and library).

Package: mongodb-server
Architecture: all
Depends:
 mongodb-clients,
 mongodb-server-core (>= ${source:Version}),
 mongodb-server-core (<< ${source:Version}.1~),
 adduser, 
 lsb-base (>= 3.0-6),
 ${misc:Depends},
Description: object/document-oriented database (managed server package)
 MongoDB is a high-performance, open source, schema-free
 document-oriented data store that's easy to deploy, manage
 and use. It's network accessible, written in C++ and offers
 the following features:
 .
    * Collection oriented storage - easy storage of object-style data
    * Full index support, including on inner objects
    * Query profiling
    * Replication and fail-over support
    * Efficient storage of binary data including large objects (e.g. videos)
    * Auto-sharding for cloud-level scalability
 .
 High performance, scalability, and reasonable depth of
 functionality are the goals for the project.
 .
 This package installs MongoDB as a system service.

Package: mongodb-server-core
Architecture: amd64 arm64 ppc64el s390x
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks:
 mongodb-server (<< 1:3.4.14-3ubuntu1)
Replaces:
 mongodb-server (<< 1:3.4.14-3ubuntu1)
Description: object/document-oriented database (server binaries package)
 MongoDB is a high-performance, open source, schema-free
 document-oriented data store that's easy to deploy, manage
 and use. It's network accessible, written in C++ and offers
 the following features:
 .
    * Collection oriented storage - easy storage of object-style data
    * Full index support, including on inner objects
    * Query profiling
    * Replication and fail-over support
    * Efficient storage of binary data including large objects (e.g. videos)
    * Auto-sharding for cloud-level scalability
 .
 High performance, scalability, and reasonable depth of
 functionality are the goals for the project.
 .
 This package contains the database server (mongod) and sharding
 server/load-balancer (mongos) binaries.

Package: mongodb-clients
Architecture: amd64 arm64 ppc64el s390x
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: mongo-tools
Replaces:
 mongodb (<= 1:1.4.2-2)
Description: object/document-oriented database (client apps)
 MongoDB is a high-performance, open source, schema-free
 document-oriented data store that's easy to deploy, manage
 and use. It's network accessible, written in C++ and offers
 the following features:
 .
    * Collection oriented storage - easy storage of object-style data
    * Full index support, including on inner objects
    * Query profiling
    * Replication and fail-over support
    * Efficient storage of binary data including large objects (e.g. videos)
    * Auto-sharding for cloud-level scalability
 .
 High performance, scalability, and reasonable depth of
 functionality are the goals for the project.
 .
 This package contains the standard administrative shell (mongo) and other
 utilities for administration or analysis of performance of the server.
